BeanShellPreProcessor (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.modifiers, class: BeanShellPreProcessor

Package org.apache.jmeter.modifiers

# Class BeanShellPreProcessor

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.util.BeanShellTestElement
org.apache.jmeter.modifiers.BeanShellPreProcessor

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Searchable`, `PreProcessor`, `TestBean`, `org.apache.jmeter.testelement.TestElement`, `TestStateListener`, `ThreadListener`

public class BeanShellPreProcessor extends BeanShellTestElement implements Cloneable, PreProcessor, TestBean

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.jmeter.testelement.TestElement

  `org.apache.jmeter.testelement.TestElement.Companion`

- ## Field Summary

  ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

  `COMMENTS, Companion, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BeanShellPreProcessor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `protected String`
  `getInitFileProperty()`
  `void`
  `process()`

  ### Methods inherited from class org.apache.jmeter.util.BeanShellTestElement

  `getBeanShellInterpreter, getFilename, getParameters, getScript, isResetInterpreter, processFileOrScript, processFileOrScript, readResolve, setFilename, setParameters, setResetInterpreter, setScript, testEnded, testEnded, testStarted, testStarted, threadFinished, threadStarted`

  ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

  `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getPropertyOrNull, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

  `get, get, get, get, get, get, get, get, get, getOrCreate, getOrCreate, getOrNull, getOrNull, getOrNull, getPropertyOrNull, getProps, getSchema, getString, removed, removeProperty, set, set, set, set, set, set, set, set, set`

- ## Constructor Details

  - ### BeanShellPreProcessor

    public BeanShellPreProcessor()

- ## Method Details

  - ### getInitFileProperty

    protected String getInitFileProperty()
    Specified by:
      `getInitFileProperty` in class `BeanShellTestElement`

  - ### process

    public void process()
    Specified by:
      `process` in interface `PreProcessor`

  - ### clone

    public Object clone()
    Specified by:
      `clone` in interface `org.apache.jmeter.testelement.TestElement`
    Overrides:
      `clone` in class `BeanShellTestElement`